<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Admin Panel</title>
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="/scripts/css/bootstrap.min.css" />

    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>

    <!-- Custom styles for this template -->
    <link href="/admin.css" rel="stylesheet" />
  </head>
  <body>
    <main style="background-color: rgb(248, 239, 224)">
      <div id="editUser">
        <button onclick="window.location.href='/readUser'" class="closeEditBtn">X</button>
        <form method="post" action="/editUser/<%= rows[0].id %>" onsubmit="return editUserValidation()">
          <div>
            <h4>Edit User</h4>
            <span class="validationSpan">
              <input
                class="form-control"
                name="username"
                type="text"
                placeholder="Enter Username"
                value="<%= rows[0].username %>"
                required
                />
                <span class="validationMessage disp">Enter Valid Name</span>
              </span>
              <span class="validationSpan">
                <input
                class="form-control"
                type="text"
                name="userInitials"
                placeholder="Enter User Initials"
                value="<%= rows[0].userInitials %>"
                required
                />

                <span class="validationMessage disp">Enter Valid User initial</span>

            </span>
              <select class="form-select" aria-label="Default select example" name="place">
                <% if (rows[0].place == 'Vadodara') { %>
                  <option value="Vadodara" selected>Vadodara</option>
                  <option value="Kundal1">Kundal1</option>
                  <option value="Kundal2">Kundal2</option>
                <% } 
                else if(rows[0].place == 'Kundal1') { %>
                  <option value="Vadodara">Vadodara</option>
                  <option value="Kundal1" selected>Kundal1</option>
                  <option value="Kundal2">Kundal2</option>
                <% }
                else if(rows[0].place == 'Kundal2') { %>
                  <option value="Vadodara">Vadodara</option>
                  <option value="Kundal1">Kundal1</option>
                  <option value="Kundal2" selected>Kundal2</option>
                <% } %>
              </select>
              <button type="submit" class="btn btn-primary">Edit</button>
          </div>
        </form>
      </div>
    </main>

    <script src="/scripts/js/bootstrap.bundle.min.js"></script>
    <script src="/validation.js"></script>
    <script>
      function editUserValidation(){
        const name = document.getElementsByClassName('form-control')[0].value;
        const userIni = document.getElementsByClassName('form-control')[1].value;
        if(!nameValidation(name)){
          console.log(name);
          document.getElementsByClassName('validationMessage')[0].classList.remove('disp');
          document.getElementsByClassName('validationMessage')[1].classList.add('disp');
          if(!nameValidation(userIni)){
          console.log(name);
          document.getElementsByClassName('validationMessage')[1].classList.remove('disp');
          return false;
          }
          return false;
        }
        else if(!nameValidation(userIni)){
          console.log(name);
          document.getElementsByClassName('validationMessage')[1].classList.remove('disp');
          document.getElementsByClassName('validationMessage')[0].classList.add('disp');
          return false;
        }
        else 
          return true;
      }
    </script>
  </body>
</html>
